#if PING_SUPPORT

#include <ESP8266WiFi.h>

void _RemoteConf(JsonObject& root) {
  root["ServerAddress"] = getSetting("ServerAddress", SERVER_ADDRESS);
  root["RemoteAPIKey"] = getSetting("RemoteAPIKey", REMOTE_API_KEY);     
}

void pingSetup()
  {
  wsOnSendRegister(_RemoteConf);

  // Register loop
  espurnaRegisterLoop(pingLoop);
  }
      

void pingLoop()
  {
  static unsigned long last_ping = 0;

  if (millis() - last_ping > 5000)
    {
    String server = getSetting("ServerAddress", SERVER_ADDRESS);
    String key = getSetting("RemoteAPIKey", REMOTE_API_KEY);
               
    if (wifiOn)					     
	    {				        
      if (client.connect(server.c_str(), 80))
        {
        serverOn=true;
        }
      else
        {
        serverOn=false;  
        }        
      }   
    last_ping = millis();
	  }
  }

#endif //PING_SUPPORT  
